'LDiskPct.vbs
'
'Computes Used and Free space as a percentage for all Logical disk drives.
'Version 1.0
'Created: 			January 16, 2004
'Last Modified:		January 16, 2004  
'Copyright 2004  Peter Giberson
'Not redistrubtable without express permission from author.
'Suitable for Windows 2000/Windows XP only.
'
'
'comments to gordep@adelphia.net 



'
' Calculate vUbytes (Total bytes used by all logical drives) 
'
Dim  vFSpace, vUbytes, vTbytes

Function UsedSpace()

'To get Freespace to execute the read of the disks
'
vufspace = FreeSpace()
vufspace = vFSpace
vUbytes = vTbytes - vufspace
UsedSpace = Round(((vUbytes / vTbytes) * 100), 0)

End Function


'-----------------------------------------------------
'Calculate Total FreeSpace
'-----------------------------------------------------
'
Function FreeSpace()


On Error Resume Next 

' Connect to WMI and obtain instances of Win32_LogicalDisk
vsum1 = 0
vsum2 = 0
vFSpace = 0
vTbytes = 0

For Each objDD in GetObject("winmgmts:").InstancesOf ("Win32_LogicalDisk where DriveType=3") 
	if objDD.DriveType = 3  then
		vsum1 =  vsum1 + objDD.Freespace
        	vsum2 =  vsum2 + objDD.Size
	End if
Next

vFSpace =  Round(vsum1,2)
vTbytes =  Round(vsum2 ,2)
FreeSpace = Round(((vFSpace / vTbytes) * 100), 0)

End Function

